<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script type="text/javascript">
            /*
            function funcion1(){
                nombre=document.formulario.cnombre.value; // document es body, formulario es el nombre del formulario, cnombre el nombre de la caja
                console.log(nombre);
            }
            */
            function funcion1(){
                nombre=document.querySelector("#inombre").value;
                console.log(nombre);
            }
        </script>
        <script>
            /*
            document.querySelector("button").addEventListener("click",function(){

            });
            */
            let nombre = 'Tu Nombre';   
            var a = 1;        
            var b = 2;
            var c = 0;

            nombre=prompt("Introduce tu nombre");

            console.log(nombre);
            
        </script>
        <form name="formulario"> <!-- poner nombre al formulario: metodo antiguo -->
            <!-- <label>Introduce tu nombre<input type="text" name="" value=""></label> no es accesible para webs -->
            <label for="inombre">Introduce tu nombre</label>
            <input type="text" name="cnombre" placeholder="escribe tu nombre" id="inombre"> <!-- esto mas comodo para maquetar -->
            <button type="button" onclick="funcion1()" >Leer</button>
            
        </form>
    </body>
</html>
        
